Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 637278 - dev-haskell/hit aborts install on not finding various dependencies even though they're installed
Summary: dev-haskell/hit aborts install on not finding various dependencies even thoug...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-12 21:27 UTC by Jappie Klooster
Modified: 2017-12-24 23:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jappie Klooster 2017-11-12 21:27:04 UTC
I'm getting:

 * Package:    dev-haskell/hit-0.6.3
 * Repository: gentoo
 * Maintainer: haskell@gentoo.org
 * USE:        abi_x86_64 amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking hit-0.6.3.tar.gz to /tmp/portage/dev-haskell/hit-0.6.3/work
>>> Source unpacked in /tmp/portage/dev-haskell/hit-0.6.3/work
>>> Preparing source in /tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3 ...
 * Using cabal-1.24.2.0.
 * Prepending /usr/lib64/ghc-8.0.2 to LD_LIBRARY_PATH
/usr/bin/ghc -package Cabal-1.24.2.0 --make /tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3/Setup.hs -j8 +RTS -A256M -qb0 -RTS -threaded -dynamic -o setup
[1 of 1] Compiling Main             ( /tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3/Setup.hs, /tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3/Setup.o )
Linking setup ...
./setup configure --ghc --prefix=/usr --with-compiler=/usr/bin/ghc --with-hc-pkg=/usr/bin/ghc-pkg --prefix=/usr --libdir=/usr/lib64 --libsubdir=hit-0.6.3/ghc-8.0.2 --datadir=/usr/share/ --datasubdir=hit-0.6.3/ghc-8.0.2 --disable-tests --ghc-options=-j8 +RTS -A256M -qb0 -RTS --with-ar=x86_64-pc-linux-gnu-ar --ghc-option=-optc-march=native --ghc-option=-optc-O2 --ghc-option=-optc-pipe --ghc-option=-optl-Wl,-O1 --ghc-option=-optl-Wl,--as-needed --disable-executable-stripping --docdir=/usr/share/doc/hit-0.6.3 --verbose --enable-shared --enable-executable-dynamic --sysconfdir=/etc --disable-library-stripping --flags=-debug --flags=-executable
Configuring hit-0.6.3...
Flags chosen: debug=False, executable=False
Dependency attoparsec >=0.10.1: using attoparsec-0.13.0.1
Dependency base ==4.*: using base-4.9.1.0
Dependency byteable -any: using byteable-0.1.1
Dependency bytestring >=0.9: using bytestring-0.10.8.1
Dependency containers -any: using containers-0.5.7.1
Dependency cryptohash -any: using cryptohash-0.11.9
Dependency hourglass >=0.2: using hourglass-0.2.9
Dependency mtl -any: using mtl-2.2.1
Dependency parsec >=3: using parsec-3.1.9
Dependency patience -any: using patience-0.1.1
Dependency random -any: using random-1.0.1.1
Dependency system-fileio -any: using system-fileio-0.3.16.3
Dependency system-filepath -any: using system-filepath-0.4.8
Dependency unix-compat -any: using unix-compat-0.4.3.1
Dependency utf8-string -any: using utf8-string-0.3.8
Dependency vector -any: using vector-0.11.0.0
Dependency zlib -any: using zlib-0.5.4.2
Dependency zlib-bindings ==0.1.*: using zlib-bindings-0.1.1.5
setup: The following installed packages are broken because other packages they
depend on are missing. These broken packages must be rebuilt before they can
be used.
package scientific-0.3.4.9 is broken due to missing package
vector-0.11.0.0-55fECERU99z3BFUXEZkCvk
 * ghc-pkg check: 'checking for other broken packages:'
There are problems in package conduit-1.2.8:
  Warning: haddock-interfaces: /usr/share/doc/conduit-1.2.8/html/conduit.haddock doesn't exist or isn't a file
  Warning: haddock-html: /usr/share/doc/conduit-1.2.8/html doesn't exist or isn't a directory
  dependency "exceptions-0.8.3-5xtColfFVuF42O4vESbF5f" doesn't exist
  dependency "lifted-base-0.2.3.6-9kbTlV6M3yTFn5tsMO2GFq" doesn't exist
  dependency "monad-control-1.0.1.0-60gIa3S0Jlm8TG186Y5c4Y" doesn't exist
  dependency "transformers-base-0.4.4-5ZcHfsyySP2E9EtpHuOtse" doesn't exist
There are problems in package QuickCheck-2.9.2:
  Warning: haddock-interfaces: /usr/share/doc/quickcheck-2.9.2/html/QuickCheck.haddock doesn't exist or isn't a file
  Warning: haddock-html: /usr/share/doc/quickcheck-2.9.2/html doesn't exist or isn't a directory
  dependency "tf-random-0.5-4R5UuAypr8JExgqlAowWF6" doesn't exist
There are problems in package http-client-tls-0.3.3:
  Warning: haddock-interfaces: /usr/share/doc/http-client-tls-0.3.3/html/http-client-tls.haddock doesn't exist or isn't a file
  Warning: haddock-html: /usr/share/doc/http-client-tls-0.3.3/html doesn't exist or isn't a directory
  dependency "exceptions-0.8.3-5xtColfFVuF42O4vESbF5f" doesn't exist
There are problems in package pandoc-1.19.2.1:
  Warning: haddock-interfaces: /usr/share/doc/pandoc-1.19.2.1-r1/html/pandoc.haddock doesn't exist or isn't a file
  Warning: haddock-html: /usr/share/doc/pandoc-1.19.2.1-r1/html doesn't exist or isn't a directory
  dependency "JuicyPixels-3.2.5.3-CnRX3RqpggFABs4uTXcqSn" doesn't exist
  dependency "blaze-html-0.8.1.2-5B0DOUPcQWE5tOvUTmSqm5" doesn't exist
 * Detected broken packages: conduit-1.2.8 QuickCheck-2.9.2 http-client-tls-0.3.3 pandoc-1.19.2.1 x509-system-1.5.0 doctemplates-0.1.0.2 skylighting-0.3 http-types-0.8.6 x509-validation-1.5.2 http-client-0.5.7.0 crypto-numbers-0.2.7 aeson-1.0.2.1 temporary-1.2.0.4 crypto-random-0.0.9 crypto-pubkey-0.2.8 gtk2hs-buildtools-0.13.2.2 resourcet-1.1.7.4 connection-0.2.4 enclosed-exceptions-1.0.1.1 tls-1.2.18 scientific-0.3.4.9 yaml-0.8.10.1 attoparsec-0.13.0.1 pandoc-types-1.17.0.4 texmath-0.9.1
 * ERROR: dev-haskell/hit-0.6.3::gentoo failed (configure phase):
 *   //==-- Please, run 'haskell-updater' to fix broken packages --==//
 * 
 * Call stack:
 *     ebuild.sh, line  115:  Called src_configure
 *   environment, line 2914:  Called haskell-cabal_src_configure '--flags=-debug' '--flags=-executable'
 *   environment, line 2031:  Called cabal-configure '--flags=-debug' '--flags=-executable'
 *   environment, line  565:  Called cabal-show-brokens-and-die 'setup configure failed'
 *   environment, line  661:  Called cabal-show-brokens
 *   environment, line  657:  Called cabal-die-if-nonempty 'broken' 'conduit-1.2.8' 'QuickCheck-2.9.2' 'http-client-tls-0.3.3' 'pandoc-1.19.2.1' 'x509-system-1.5.0' 'doctemplates-0.1.0.2' 'skylighting-0.3' 'http-types-0.8.6' 'x509-validation-1.5.2' 'http-client-0.5.7.0' 'crypto-numbers-0.2.7' 'aeson-1.0.2.1' 'temporary-1.2.0.4' 'crypto-random-0.0.9' 'crypto-pubkey-0.2.8' 'gtk2hs-buildtools-0.13.2.2' 'resourcet-1.1.7.4' 'connection-0.2.4' 'enclosed-exceptions-1.0.1.1' 'tls-1.2.18' 'scientific-0.3.4.9' 'yaml-0.8.10.1' 'attoparsec-0.13.0.1' 'pandoc-types-1.17.0.4' 'texmath-0.9.1'
 *   environment, line  587:  Called die
 * The specific snippet of code:
 *       die "//==-- Please, run 'haskell-updater' to fix ${breakage_type} packages --==//"
 * 
 * If you need support, post the output of `emerge --info '=dev-haskell/hit-0.6.3::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-haskell/hit-0.6.3::gentoo'`.
 * The complete build log is located at '/tmp/portage/dev-haskell/hit-0.6.3/temp/build.log'.
 * The ebuild environment file is located at '/tmp/portage/dev-haskell/hit-0.6.3/temp/environment'.
 * Working directory: '/tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3'
 * S: '/tmp/portage/dev-haskell/hit-0.6.3/work/hit-0.6.3'


It for example complains that monad controll doesn't exist, even though it does:

   eix monad-control
[I] dev-haskell/monad-control
     Available versions:  0.3.2.2(0/0.3.2.2) ~0.3.3.0(0/0.3.3.0) ~1.0.0.4(0/1.0.0.4) 1.0.1.0(0/1.0.1.0) {doc hscolour +instancest profile}
     Installed versions:  1.0.1.0(08:01:32 13-11-17)(-doc -hscolour -profile)
     Homepage:            https://github.com/basvandijk/monad-control
     Description:         Lift control operations, like exception catching, through monad transformers
Comment 1 Sergei Trofimovich gentoo-dev 2017-12-24 23:32:18 UTC
(In reply to Jappie Klooster from comment #0)
>  *   environment, line  657:  Called cabal-die-if-nonempty 'broken'
> 'conduit-1.2.8' 'QuickCheck-2.9.2' 'http-client-tls-0.3.3' 'pandoc-1.19.2.1'
> 'x509-system-1.5.0' 'doctemplates-0.1.0.2' 'skylighting-0.3'
> 'http-types-0.8.6' 'x509-validation-1.5.2' 'http-client-0.5.7.0'
> 'crypto-numbers-0.2.7' 'aeson-1.0.2.1' 'temporary-1.2.0.4'
> 'crypto-random-0.0.9' 'crypto-pubkey-0.2.8' 'gtk2hs-buildtools-0.13.2.2'
> 'resourcet-1.1.7.4' 'connection-0.2.4' 'enclosed-exceptions-1.0.1.1'
> 'tls-1.2.18' 'scientific-0.3.4.9' 'yaml-0.8.10.1' 'attoparsec-0.13.0.1'
> 'pandoc-types-1.17.0.4' 'texmath-0.9.1'
>  *   environment, line  587:  Called die
>  * The specific snippet of code:
>  *       die "//==-- Please, run 'haskell-updater' to fix ${breakage_type}
> packages --==//"

The output suggests a few haskell depends were broken (presumably by a dependency upgrade). If you run haskell-updater, does it fix the issue?